#!/usr/bin/env node
/**
 * @file Make this project as demo.
 */

"use strict";

var fs = require('fs'),
    async = require('async'),
    pkgPath = require.resolve('../package.json');

async.series([
    function (callback) {
        var pkg = require(pkgPath);
        Object.keys(pkg.dependencies).forEach(function (key) {
            pkg.dependencies[key] = '*';
        });
        Object.keys(pkg.devDependencies).forEach(function (key) {
            pkg.devDependencies[key] = '*';
        });
        fs.writeFile(pkgPath, JSON.stringify(pkg, null, 2), callback);
    }
], function (err) {
    if (err) {
        console.error(err);
        process.exit(1);
    }
});
